Subject: RE: [Zope-dev] Zope & Cygwin
From: "Norman Vine" <[email-masked]>
To: "'Chris McDonough'" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Tue, 16 Oct 2001 21:14:22 -0400

Chris McDonough writes:
>
>Note that I was able to get Zope up and running using Cywin after:
>
>- upgrading to the most recent snapshot Cywgin dll (cygwin1-20011016.dll),
>which was as easy as copying the file over the existing 1.3.3 version of
>cywin1.dll.  I didn't futz with building anything Cygwin-related out of
CVS.
>
>- recompiling Cygwin python with thread support (which was a matter of
>"./configure; make; make install" with the Cygwin Python sources, as Norman
>said).
>
>- rerunning $PY_SRC/Tools/scripts/h2py.py against the fcntl.h file that
>lives in Cygwin's /usr/include/sys and saving the resulting FCNTL.py file
in
>/usr/local/lib/python2.1/plat-cygwin/FCNTL.py

Ooops - good catch I keep forgetting to mention this step
We should really figure out a way to automagically do this in the python
build process

>I then compiled the Zope trunk using Cygwin Python and GCC via a simple
>"python wo_pcgi.py" and ran it via "./start", and voila!  It at least
>appears to work!  Very nice... thanks very much for the
>heads-up, Norman.

:-)

>I need to buy the guys at Cygnus a beer or a yacht or something.

Maybe a yacht full of beer :-)

also of note
http://apache.dev.wapme.net

FYI
I have managed to patch the python 2.1.1 sources to build
the winreg module with Cygwin.  It is a fairly  pervasive patch in
that it python then has to know both the 'posix' and the 'Win32'
way of handling unicode, error systems, ect.

Because of the breadth of this  I have held off submitting the patch
to the Python SourceForge collector but I am wondering if this would
be useful for Zope development ?

Cheers

Norman

>----- Original Message -----
>From: "Norman Vine" <[email-masked]>
>To: <[email-masked]>
>Cc: <[email-masked]>
>Sent: Wednesday, October 10, 2001 11:30 AM
>Subject: [Zope-dev] Zope & Cygwin
>
>
>> Michel Pelletier writes:
>> >>
>> >Whether or not it is the most popular, who knows?  Windows
>> >support is absolutely essential however and will never be
>> >traded off for any other feature.
>>
>> FYI
>> I finally have a Cygwin compiled Zope running in a Cygwin enviroment.
>> This is with the very latest Cygwin distribution augmented by a locally
>> compiled Cygwin as represented by the current Cygwin CVS files.
>>
>> There is a new Cygwin release pending
>> or one can just use the "developer snapshot" of Cygwin !
>>
>> FWIW - I use a slightly modified distutils as outlined in method 2 @
>> http://www.vso.cape.com/~nhv/files/python/myDistutils.txt
>>
>> This is on a Win2k sp2 machine and the Zope-2.4.1 tarball
>>
>> % cd Zope-2.4.1-src
>> % python wo_pcgi.py
>> % ./start &
>>
>> Cheers
>>
>> Norman Vine
>>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/